package io.accumulatenetwork.sdk.generated.apiv2;

/**
    GENERATED BY go run ./tools/cmd/gen-api. DO NOT EDIT.
**/

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonTypeName;
import io.accumulatenetwork.sdk.generated.query.BlockFilterMode;
import io.accumulatenetwork.sdk.generated.query.TxFetchMode;
import io.accumulatenetwork.sdk.protocol.RPCBody;
import io.accumulatenetwork.sdk.protocol.Url;
// UnionType: 
// UnionValue: 

@JsonIgnoreProperties(ignoreUnknown = true)
@JsonTypeName("MinorBlocksQuery")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class MinorBlocksQuery implements RPCBody {
	private Url url;
	private long start;
	private long count;
	private TxFetchMode txFetchMode;
	private BlockFilterMode blockFilterMode;

    //
	public Url getUrl() {
	    return url;
	}
	public void setUrl(final Url value) {
	    this.url = value;
	}

	public MinorBlocksQuery url(final Url value) {
	    setUrl(value);
	    return this;
	}
	public MinorBlocksQuery url(final String value) {
	    setUrl(Url.toAccURL(value));
	    return this;
	}
	public long getStart() {
	    return start;
	}
	public void setStart(final long value) {
	    this.start = value;
	}

	public MinorBlocksQuery start(final long value) {
	    setStart(value);
	    return this;
	}
	public long getCount() {
	    return count;
	}
	public void setCount(final long value) {
	    this.count = value;
	}

	public MinorBlocksQuery count(final long value) {
	    setCount(value);
	    return this;
	}
	public TxFetchMode getTxFetchMode() {
	    return txFetchMode;
	}
	public void setTxFetchMode(final TxFetchMode value) {
	    this.txFetchMode = value;
	}

	public MinorBlocksQuery txFetchMode(final TxFetchMode value) {
	    setTxFetchMode(value);
	    return this;
	}
	public BlockFilterMode getBlockFilterMode() {
	    return blockFilterMode;
	}
	public void setBlockFilterMode(final BlockFilterMode value) {
	    this.blockFilterMode = value;
	}

	public MinorBlocksQuery blockFilterMode(final BlockFilterMode value) {
	    setBlockFilterMode(value);
	    return this;
	}
}
